## kweather 24.12.3

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-FileCopyrightText: 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kweather VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.5.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_PLASMOID "Build the weather plasmoid" ON)

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMCheckOutboundLicense)
include(ECMFindQmlModule)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMQmlModule)
include(ECMAddAndroidApk)
include(ECMDeprecationSettings)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.7
    )

# clang-format
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KWEATHER
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Quick
    Test
    Gui
    Svg
    QuickControls2
    Charts
    OpenGL
)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    Kirigami
    I18n
    CoreAddons
    Notifications
)
find_package(KWeatherCore 0.8.0 REQUIRED)

find_package(KF6KirigamiAddons 0.11 REQUIRED)

if (ANDROID)
    find_package(OpenSSL REQUIRED)
else ()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
endif()

if (NOT ANDROID AND BUILD_PLASMOID)
   find_package(Plasma REQUIRED)
endif()

ecm_find_qmlmodule(org.kde.kholidays 1.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
add_subdirectory(src)

ki18n_install(po)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
    install(FILES org.kde.kweather.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
else()
    install(PROGRAMS org.kde.kweather.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kweather.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES org.kde.kweather.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)

    # DBus
    configure_file(org.kde.kweather.service.in
                ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kweather.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kweather.service
            DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h src/*.qml)
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES ${ALL_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kweather 24.08.0

=== debian/changelog ===
kweather (24.08.0-1) unstable; urgency=medium

  * Release initial version to Debian (Closes: #1081180).

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Sep 2024 21:13:29 +0200

kweather (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:08:25 +0000

kweather (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:20:38 +0000

kweather (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:09:48 +0000

kweather (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:54:09 +0000

kweather (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:30:47 +0000

kweather (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:13:59 +0000

kweather (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:08:24 +0000

kweather (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:56:37 +0000

kweather (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:39:31 +0000

kweather (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:13:11 +0000

kweather (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 05:41:06 +0000

kweather (22.11-0neon) jammy; urgency=medium

  [ Jonah Brüchert ]
  * Initial packaging

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 05:41:06 +0000

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkweathercore-dev (>= 0.8.0~),
               libqt6opengl6-dev (>= 6.5.0~),
               qml6-module-org-kde-kholidays,
               qml6-module-qtcharts,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweather
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweather.git

Package: kweather
Architecture: any
Depends: ${qml6:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	 dh_auto_configure -- -DBUILD_PLASMOID=OFF

execute_after_dh_auto_install:
	pkgkde-getqmldepends --qt 6 -- -qmlFiles src/qml/* src/qml/backgrounds/* src/qml/components/* src/qml/locationslist/* src/qml/settings/*

## kweather 24.12.0

=== debian/changelog ===
kweather (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:54:24 +0100

kweather (24.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release
  * Temporarily add qt6-declarative-private-dev to workaround #1087385
    (Closes: #1087873).
  * qml6-module-qtcharts is now installed via the dev package.
  * Use dh_qmldeps instead of hand crafted pkgkde-getqmldepends.

 -- Sandro Knauß <hefee@debian.org>  Thu, 28 Nov 2024 21:45:20 +0100

kweather (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:24:35 +0000

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libkweathercore-dev (>= 0.8.0~),
               libplasma-dev,
               libqt6opengl6-dev (>= 6.5.0~),
               libssl-dev,
               qml6-module-org-kde-kholidays,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweather
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweather.git

Package: kweather
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

## kweather 24.12.1

=== debian/changelog ===
kweather (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:12:31 +0000

kweather (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:21:47 +0000

kweather (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:00 +0000

kweather (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 09:15:53 +0000

kweather (24.08.3-0ubuntu3) plucky; urgency=medium

  * Update qml module depends from source code.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 08:36:35 +0000

kweather (24.08.3-0ubuntu2) plucky; urgency=medium

  * For now build without using pkgkde-getqmldepends to fix build. Can
    be re-enabled when fixed in Debian packaging.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 09:53:48 +0000

kweather (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:46:59 +0000

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkweathercore-dev (>= 24.12.1~),
               libqt6opengl6-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather

Package: kweather
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-qtcharts,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

## kweather 24.12.3

=== debian/changelog ===
kweather (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:49:05 +0000

kweather (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:04 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 24.12.1~),
+               libkweathercore-dev (>= 24.12.3~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.04.0

=== debian/changelog ===
kweather (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:29:19 +0200

## kweather 25.04.3

=== src/plasmoid/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kweather_1x4\")

set(kweather_1x4_SRCS
    kweather_1x4.cpp
    kweather_1x4.h
    hourlymodel.cpp
    hourlymodel.h
)
add_library(plasma_applet_kweather_1x4 MODULE ${kweather_1x4_SRCS})

target_link_libraries(plasma_applet_kweather_1x4
                      Qt::Gui
                      Qt::Qml
                      KWeatherCore
                      Plasma::Plasma
                      KF6::I18n
                      kweatherLib)


install(TARGETS plasma_applet_kweather_1x4 DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

plasma_install_package(package org.kde.plasma.kweather_1x4)

=== debian/changelog ===
kweather (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix upstream source URL stanza in debian/copyright.
  * New upstream release (25.04.3).
    - FlatLocationForecast: Don't hardcode height of hourly strip.
    (kde#505547)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Jul 2025 13:08:42 +0200

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libkweathercore-dev (>= 0.8.0~),
               libplasma-dev,
               libqt6opengl6-dev (>= 6.5.0~),
               libssl-dev,
               qml6-module-org-kde-kholidays,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kweather/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweather
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweather.git

Package: kweather
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

## kweather 25.07.80

=== debian/changelog ===
kweather (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:15 +0100

kweather (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:48 +0100

kweather (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:10 +0100

kweather (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:01 +0100

kweather (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Runtime depend on qml6-module-org-kde-weathercore.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:00:36 +0100

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkweathercore-dev (>= 25.07.80~),
               libqt6opengl6-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kweather

Package: kweather
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-weathercore,
         qml6-module-qtcharts,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.

## kweather 25.07.90

=== debian/changelog ===
kweather (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:58:05 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.07.80~),
+               libkweathercore-dev (>= 25.07.90~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.08.0

=== debian/changelog ===
kweather (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:58:38 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.07.90~),
+               libkweathercore-dev (>= 25.08.0~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.12.0")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -44,7 +44,7 @@
 include(ECMDeprecationSettings)
 
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.7
+    KF 6.14.0
     )
 
 # clang-format
@@ -95,7 +95,6 @@
 ki18n_install(po)
 
 if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
     install(FILES org.kde.kweather.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
 else()
     install(PROGRAMS org.kde.kweather.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-FileCopyrightText: 2020 Devin Lin <espidev@gmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

set(kweather_SRCS
    main.cpp
    weatherlocationlistmodel.cpp
    weatherlocationlistmodel.h
    weatherlocation.cpp
    weatherlocation.h
    locationquerymodel.cpp
    locationquerymodel.h
    temperaturechartdata.cpp
    temperaturechartdata.h
    formatter.cpp
    formatter.h
)

if (NOT ANDROID)
    set(kweather_SRCS
        ${kweather_SRCS}
        weatherbackground.cpp
        weatherbackground.h
    )
endif()

add_library(kweatherLib STATIC)
set_target_properties(kweatherLib PROPERTIES POSITION_INDEPENDENT_CODE ON)
kconfig_add_kcfg_files(kweatherLib kweathersettings.kcfgc GENERATE_MOC)
target_link_libraries(kweatherLib
    Qt::Core
    KF6::ConfigCore
    KF6::ConfigGui
)

add_executable(kweather ${kweather_SRCS})

qt_add_qml_module(kweather
    URI "org.kde.kweather"
    VERSION 1.0
    QML_FILES
    "qml/Main.qml"
    "qml/FlatLocationForecast.qml"
    "qml/WeatherDayDelegate.qml"
    "qml/WeatherHourDelegate.qml"
    "qml/ForecastContainerPage.qml"
    "qml/DefaultPage.qml"
    "qml/SetupWizard.qml"
    "qml/TemperatureChartCard.qml"
    "qml/SunriseCard.qml"
    "qml/InfoCard.qml"
    "qml/WeatherStrip.qml"
    "qml/DynamicForecastPage.qml"
    "qml/FlatForecastPage.qml"
    SOURCES
    weatherlocationlistmodel.cpp
    weatherlocationlistmodel.h
    DEPENDENCIES
    QtCore
)

qt_add_qml_module(kweatherbackgrounds
    URI "org.kde.kweather.backgrounds"
    VERSION 1.0
    QML_FILES
    "qml/backgrounds/DynamicBackground.qml"
    "qml/backgrounds/ClearDay.qml"
    "qml/backgrounds/ClearNight.qml"
    "qml/backgrounds/CloudyDay.qml"
    "qml/backgrounds/CloudyNight.qml"
    "qml/backgrounds/Misty.qml"
    "qml/backgrounds/PartlyCloudyDay.qml"
    "qml/backgrounds/PartlyCloudyNight.qml"
    "qml/backgrounds/RainyDay.qml"
    "qml/backgrounds/RainyNight.qml"
    "qml/backgrounds/SnowyDay.qml"
    "qml/backgrounds/SnowyNight.qml"
    STATIC
)

qt_add_qml_module(kweatherbackgroundscomponents
    URI "org.kde.kweather.backgrounds.components"
    VERSION 1.0
    QML_FILES
    "qml/backgrounds/components/Sun.qml"
    "qml/backgrounds/components/Stars.qml"
    "qml/backgrounds/components/Snow.qml"
    "qml/backgrounds/components/Rain.qml"
    "qml/backgrounds/components/Cloud.qml"
    "qml/backgrounds/components/Cloudy.qml"
    STATIC
)

qt_add_qml_module(kweathercomponents
    URI "org.kde.kweather.components"
    VERSION 1.0
    QML_FILES
    "qml/components/ListDelegate.qml"
    STATIC
)

qt_add_qml_module(kweatherlocations
    URI "org.kde.kweather.locations"
    VERSION 1.0
    QML_FILES
    "qml/locationslist/LocationsListView.qml"
    "qml/locationslist/LocationsListPage.qml"
    "qml/locationslist/LocationsListDialog.qml"
    "qml/locationslist/AddLocationDialog.qml"
    "qml/locationslist/AddLocationListView.qml"
    "qml/locationslist/AddLocationPage.qml"
    STATIC
)

qt_add_qml_module(kweathersettings
    URI "org.kde.kweather.settings"
    VERSION 1.0
    QML_FILES
    "qml/settings/SettingsPage.qml"
    "qml/settings/SettingsComponent.qml"
    "qml/settings/SettingsDialog.qml"
    "qml/settings/SettingsWindow.qml"
    "qml/settings/TemperatureUnitComboBox.qml"
    "qml/settings/SpeedUnitComboBox.qml"
    "qml/settings/PressureUnitComboBox.qml"
    "qml/settings/PrecipitationUnitComboBox.qml"

    STATIC
)

target_link_libraries(kweather
    PUBLIC
    Qt6::Qml
    Qt6::QuickControls2
    Qt6::Network
    Qt6::Charts
    Qt6::OpenGL
    KF6::I18n
    KF6::CoreAddons
    KF6::Notifications
    KF6::I18nQml
    KWeatherCore
    kweatherLib
    kweatherbackgroundsplugin
    kweatherbackgroundscomponentsplugin
    kweathercomponentsplugin
    kweatherlocationsplugin
    kweathersettingsplugin
)

add_subdirectory(resources)

if (ANDROID)
    target_link_libraries(kweather
        PUBLIC
        OpenSSL::SSL
        Qt6::Svg
        Qt6::Qml
        Qt6::Quick
    )

    kirigami_package_breeze_icons(ICONS
        raindrop
        globe
        settings-configure
        network-disconnect
        search
        list-add
        delete
        arrow-right
        speedometer
        go-up
        go-down
        go-right
        arrow-up-symbolic
        arrow-down-symbolic
        arrow-left-symbolic
        arrow-right-symbolic
        compass
        mark-location
        find-location
        system-user-list
        applications-development-symbolic
        checkmark
        temperature-normal-symbolic

        weather-clear
        weather-clear-symbolic
        weather-clear-night
        weather-clear-night-symbolic
        weather-clear-wind
        weather-clear-wind-symbolic
        weather-clear-wind-night
        weather-clear-wind-night-symbolic
        weather-clouds
        weather-clouds-symbolic
        weather-clouds-night
        weather-clouds-night-symbolic
        weather-clouds-wind
        weather-clouds-wind-symbolic
        weather-clouds-wind-night
        weather-clouds-wind-night-symbolic
        weather-few-clouds
        weather-few-clouds-symbolic
        weather-few-clouds-night
        weather-few-clouds-night-symbolic
        weather-few-clouds-wind
        weather-few-clouds-wind-symbolic
        weather-few-clouds-wind-night
        weather-few-clouds-wind-night-symbolic
        weather-fog
        weather-fog-symbolic
        weather-freezing-rain
        weather-freezing-rain-symbolic
        weather-freezing-rain-day
        weather-freezing-rain-day-symbolic
        weather-freezing-rain-night
        weather-freezing-rain-night-symbolic
        weather-freezing-scattered-rain
        weather-freezing-scattered-rain-symbolic
        weather-freezing-scattered-rain-day
        weather-freezing-scattered-rain-day-symbolic
        weather-freezing-scattered-rain-night
        weather-freezing-scattered-rain-night-symbolic
        weather-freezing-scattered-rain-storm
        weather-freezing-scattered-rain-storm-symbolic
        weather-freezing-scattered-rain-storm-day
        weather-freezing-scattered-rain-storm-day-symbolic
        weather-freezing-scattered-rain-storm-night
        weather-freezing-scattered-rain-storm-night-symbolic
        weather-freezing-storm
        weather-freezing-storm-symbolic
        weather-freezing-storm-day
        weather-freezing-storm-day-symbolic
        weather-freezing-storm-night
        weather-freezing-storm-night-symbolic
        weather-hail
        weather-hail-symbolic
        weather-many-clouds
        weather-many-clouds-symbolic
        weather-many-clouds-wind
        weather-many-clouds-wind-symbolic
        weather-mist
        weather-mist-symbolic
        weather-none-available
        weather-none-available-symbolic
        weather-overcast
        weather-overcast-symbolic
        weather-overcast-wind
        weather-overcast-wind-symbolic
        weather-showers
        weather-showers-symbolic
        weather-showers-day
        weather-showers-day-symbolic
        weather-showers-night
        weather-showers-night-symbolic
        weather-showers-scattered
        weather-showers-scattered-symbolic
        weather-showers-scattered-day
        weather-showers-scattered-day-symbolic
        weather-showers-scattered-night
        weather-showers-scattered-night-symbolic
        weather-showers-scattered-storm
        weather-showers-scattered-storm-symbolic
        weather-showers-scattered-storm-day
        weather-showers-scattered-storm-day-symbolic
        weather-showers-scattered-storm-night
        weather-showers-scattered-storm-night-symbolic
        weather-snow
        weather-snow-symbolic
        weather-snow-day
        weather-snow-day-symbolic
        weather-snow-night
        weather-snow-night-symbolic
        weather-snow-rain
        weather-snow-rain-symbolic
        weather-snow-scattered
        weather-snow-scattered-symbolic
        weather-snow-scattered-day
        weather-snow-scattered-day-symbolic
        weather-snow-scattered-night
        weather-snow-scattered-night-symbolic
        weather-snow-scattered-storm
        weather-snow-scattered-storm-symbolic
        weather-snow-scattered-storm-day
        weather-snow-scattered-storm-day-symbolic
        weather-snow-scattered-storm-night
        weather-snow-scattered-storm-night-symbolic
        weather-snow-storm
        weather-snow-storm-symbolic
        weather-snow-storm-day
        weather-snow-storm-day-symbolic
        weather-snow-storm-night
        weather-snow-storm-night-symbolic
        weather-storm
        weather-storm-symbolic
        weather-storm-day
        weather-storm-day-symbolic
        weather-storm-night
        weather-storm-night-symbolic
    )

    ecm_add_android_apk(kweather ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(kweather PUBLIC Qt6::Widgets KF6::Crash)
endif()

if (UNIX AND NOT ANDROID AND BUILD_PLASMOID)
add_subdirectory(plasmoid)
endif()
target_include_directories(kweather PRIVATE ${CMAKE_BINARY_DIR})
install(TARGETS kweather ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kweather (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.08.0~),
+               libkweathercore-dev (>= 25.08.1~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	 dh_auto_configure -- -DBUILD_PLASMOID=OFF

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+).tar.xz

## kweather 25.08.1+p24.04+vstable+git20250926.0951

=== debian/changelog ===
kweather (25.08.1+p24.04+vstable+git20250926.0951-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:51:43 +0000

kweather (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:57:54 +0000

kweather (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:18:34 +0000

kweather (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:53:56 +0000

kweather (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:44:31 +0000

kweather (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:11:30 +0000

kweather (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:36:54 +0000

kweather (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:09:30 +0000

kweather (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:26:25 +0000

kweather (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:35:18 +0000

kweather (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:13:01 +0000

kweather (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:36:44 +0000

kweather (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:01:26 +0000

kweather (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:33:23 +0000

## kweather 25.08.1+p24.04+vstable+git20251001.0650

=== debian/changelog ===
kweather (25.08.1+p24.04+vstable+git20251001.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:50:40 +0000

## kweather 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,9 @@
     VERSION 1.0
     QML_FILES
     "qml/components/ListDelegate.qml"
+    "qml/components/PageContainer.qml"
+    "qml/components/PageHeader.qml"
+    "qml/components/PageStack.qml"
     STATIC
 )
 
@@ -122,7 +125,6 @@
     "qml/settings/SettingsPage.qml"
     "qml/settings/SettingsComponent.qml"
     "qml/settings/SettingsDialog.qml"
-    "qml/settings/SettingsWindow.qml"
     "qml/settings/TemperatureUnitComboBox.qml"
     "qml/settings/SpeedUnitComboBox.qml"
     "qml/settings/PressureUnitComboBox.qml"

=== debian/changelog ===
kweather (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:54:59 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.08.1~),
+               libkweathercore-dev (>= 25.08.2~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.08.2+p24.04+vstable+git20251011.1301

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251011.1301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:01:32 +0000

kweather (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:25:20 +0000

## kweather 25.08.2+p24.04+vstable+git20251019.0233

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251019.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:33:47 +0000

## kweather 25.08.2+p24.04+vstable+git20251021.0306

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251021.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:06:55 +0000

## kweather 25.08.2+p24.04+vstable+git20251031.0948

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251031.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:48:22 +0000

## kweather 25.08.2+p24.04+vunstable+git20251015.1413

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})
@@ -43,8 +43,8 @@
 include(ECMAddAndroidApk)
 include(ECMDeprecationSettings)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.14.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
     )
 
 # clang-format

=== debian/changelog ===
kweather (25.08.2+p24.04+vunstable+git20251015.1413-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:13:19 +0000

## kweather 25.08.2+p24.04+vunstable+git20251020.1236

=== debian/changelog ===
kweather (25.08.2+p24.04+vunstable+git20251020.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:36:00 +0000

## kweather 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})
@@ -43,8 +43,8 @@
 include(ECMAddAndroidApk)
 include(ECMDeprecationSettings)
 
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.17.0
+ecm_set_disabled_deprecation_versions(QT 6.8.0
+    KF 6.14.0
     )
 
 # clang-format

=== debian/changelog ===
kweather (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:28:18 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.08.2~),
+               libkweathercore-dev (>= 25.08.3~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.08.3+p24.04+vunstable+git20251202.1013

=== debian/changelog ===
kweather (25.08.3+p24.04+vunstable+git20251202.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:13:30 +0000

kweather (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:00 +1000

## kweather 25.08.3+p24.04+vunstable+git20251206.0817

=== debian/changelog ===
kweather (25.08.3+p24.04+vunstable+git20251206.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:17:55 +0000

## kweather 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})
@@ -43,8 +43,8 @@
 include(ECMAddAndroidApk)
 include(ECMDeprecationSettings)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.14.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.17.0
     )
 
 # clang-format

=== src/plasmoid/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.kweather_1x4\")

plasma_add_applet(org.kde.plasma.kweather_1x4
    CPP_SOURCES
        kweather_1x4.cpp
        kweather_1x4.h
        hourlymodel.cpp
        hourlymodel.h
    QML_SOURCES
        main.qml
        LocationSelector.qml
        WeatherContainer.qml
)

target_link_libraries(org.kde.plasma.kweather_1x4 PRIVATE
                      Qt::Gui
                      Qt::Qml
                      KWeatherCore
                      Plasma::Plasma
                      KF6::I18n
                      kweatherLib)

=== debian/changelog ===
kweather (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:01:51 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.08.3~),
+               libkweathercore-dev (>= 25.11.80~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kweather (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:14:28 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6notifications-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkweathercore-dev (>= 25.11.80~),
+               libkweathercore-dev (>= 25.11.90~),
                libqt6opengl6-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-charts-dev (>= 6.5.0~),

## kweather 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kweather VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kweather (25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:12:13 +0000

kweather (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:44 +1000

=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kquickcharts-dev,
               kf6-kwindowsystem-dev,
               libkf6kweathercore-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qml6-module-qtcharts,
               qt6-base-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kweather.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kweather
Maintainer: Neon CI <neon@kde.org>

Package: kweather
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qtcharts,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         qt6-charts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Weather application for Plasma Mobile.
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing forecasts and other information.

## kweather 25.12.0+p24.04+vstable+git20260103.0604

=== debian/changelog ===
kweather (25.12.0+p24.04+vstable+git20260103.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:04:06 +0000
